import React from "react";
import Output from "./MyOutput";
import MyInput from "./MyInput";
import Button from "./Button";
import { useIsPriceToHigh } from "./useIsPriceToHigh";

function App() {
  const [isPriceToHigh] = useIsPriceToHigh(1000); // 1000€ Limit
  return (
    <div className="App">
      <Button text="Grafikkarte" money={800} />
      <br />
      <Button text="Prozessor" money={500} />
      <br />
      <Button text="Mainboard" money={200} />
      <br />
      <Button text="Arbeitsspeicher" money={100} />
      <br />
      <Output isPriceToHigh={isPriceToHigh} />
    </div>
  );
}

export default App;
