const initialState = {
  cost: 0,
};

export default function appReducer(state = initialState, action) {
  switch (action.type) {
    case "addPartCost": {
      return {
        ...state,
        cost: state.cost + action.money,
      };
    }
    case "removePartCost": {
      return {
        ...state,
        cost: state.cost - action.money,
      };
    }
    default:
      return state;
  }
}
