import React, { useState } from "react";
// import "./Button.css"; // optional
import { useDispatch } from "react-redux";

export default function Button({ money, text }) {
  const [isAddMoney, setIsAddMoney] = useState(true);
  const dispatch = useDispatch();

  const handleClick = () => {
    if (isAddMoney) {
      dispatch({ type: "addPartCost", money: money });
    } else {
      dispatch({ type: "removePartCost", money: money });
    }
    setIsAddMoney(!isAddMoney);
  };

  return (
    <div>
      <button className="button" onClick={handleClick}>
        {text}
      </button>
    </div>
  );
}
